Page MenuHomePhabricator

[CMake] Use normalized Windows target triples
ClosedPublic

Authored by phosek on May 25 2018, 11:04 AM.

Details

Summary

Changes the default Windows target triple returned by
GetHostTriple.cmake from the old environment names (which we wanted to
move away from) to newer, normalized ones. This also requires updating
all tests to use the new systems names in constraints.

Diff Detail

Event Timeline

phosek created this revision.May 25 2018, 11:04 AM

@compnerd @chapuni , are you on board with the new spelling of REQUIRES: win32? I think it makes sense, it's self-consistent. More descriptive, even.

compnerd accepted this revision.May 29 2018, 3:50 PM

@rnk - Id say something more stronger than on board for this change. I think that this is a great cleanup, makes everything much clearer and generally simplifies the model that you have to work with. I didn't look at the changes to the test very carefully (they should be mechanical in nature). The rest LGTM.

This revision is now accepted and ready to land.May 29 2018, 3:50 PM
phosek updated this revision to Diff 158165.Jul 30 2018, 7:37 PM

Rebased the change, I think it's ready to land.

rnk accepted this revision.Jul 31 2018, 1:00 PM

lgtm

This revision was automatically updated to reflect the committed changes.
Herald added a subscriber: Restricted Project. · View Herald TranscriptAug 8 2018, 7:16 PM